
Figure - Bug #118994
【AF】【EVT3】【游戏模式】120版本打开游戏模式进入任意游戏——设备不断熄屏
2023-07-07 10:52 - CD TEST-方永红

Status: CLOSED Start date: 2023-07-07

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0120

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: 0120

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 游戏模式下寄存器值判断错误，导致触发恢复机制而闪烁

Description

【测试版本】

副屏0120

中控0092

【测试详情】

1、打开游戏模式

2、打开任意游戏

->设备不断熄屏

关闭游戏模式时无此现象

【版本地址】

ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-release_sorp/user/20230707/0320/ota-0120-user.zip

History

#1 - 2023-07-07 11:01 - CD BSP-余霄

黑屏检测导入了新方案。

采用检测MAX96755与MAX96752寄存器值进行判断，周期时间为500ms

在游戏场景下时

MAX96755 0x55d值有0x73变为0x33，导致值不匹配，触发恢复机制。

而恢复机制下，首先会灭屏做RESET操作，然后再亮屏。

所以会导致屏幕亮灭。

需跟踪哪些场景下会导致该寄存器值发生改变，而能正常显示。

如果需要可以去除MAX96755 0x55d检测。

#2 - 2023-07-07 17:09 - CD TPM-王祥林

- Category changed from CD-FW to BSP

- Status changed from New to RESOLVED

- Assignee changed from CD TPM-王祥林 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 游戏模式下寄存器值判断错误，导致触发恢复机制而闪烁
已经解决，在明天的120版本验证。

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/213100

#3 - 2023-07-10 15:28 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0120

7.10

验证通过

#4 - 2023-07-10 15:28 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1042.txt 6 MB 2023-07-07 CD TEST-方永红

20230707-105047.mp4 865 KB 2023-07-07 CD TEST-方永红
